> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payvessel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Packages

> List available eSIM packages with optional filters



## OpenAPI

````yaml api-reference/vaas-services-openapi.json GET /vaas/api/v1/esim/packages
openapi: 3.1.0
info:
  title: PayVessel Value-Added Services API
  description: >-
    API reference for PayVessel biller reseller, eSIM, gift card, and flight
    services.
  version: 1.0.0
servers:
  - url: https://api.payvessel.com
  - url: https://sandbox.payvessel.com
security:
  - apiKey: []
    apiSecret: []
paths:
  /vaas/api/v1/esim/packages:
    get:
      tags:
        - eSIM
        - eSIM
      summary: List eSIM Packages
      description: List available base eSIM packages
      operationId: list_packages_vaas_api_v1_esim_packages_get
      parameters:
        - name: location_code
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Location Code
        - name: package_code
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Package Code
        - name: slug
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Slug
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListPackagesResponseSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ListPackagesResponseSchema:
      properties:
        status:
          type: boolean
          title: Status
        message:
          type: string
          title: Message
        data:
          items:
            $ref: '#/components/schemas/PackageSchema'
          type: array
          title: Data
      type: object
      required:
        - status
        - message
        - data
      title: ListPackagesResponseSchema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PackageSchema:
      properties:
        package_code:
          type: string
          title: Package Code
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Slug
        name:
          type: string
          title: Name
        currency_code:
          type: string
          title: Currency Code
        price_units:
          type: integer
          title: Price Units
        price_usd:
          type: number
          title: Price Usd
        price_naira:
          anyOf:
            - type: number
            - type: 'null'
          title: Price Naira
        exchange_rate:
          anyOf:
            - type: number
            - type: 'null'
          title: Exchange Rate
        retail_price_units:
          anyOf:
            - type: integer
            - type: 'null'
          title: Retail Price Units
        retail_price_usd:
          anyOf:
            - type: number
            - type: 'null'
          title: Retail Price Usd
        volume_bytes:
          type: integer
          title: Volume Bytes
        duration:
          type: integer
          title: Duration
        duration_unit:
          type: string
          title: Duration Unit
        location:
          type: string
          title: Location
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        active_type:
          anyOf:
            - type: integer
            - type: 'null'
          title: Active Type
        favorite:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Favorite
        speed:
          anyOf:
            - type: string
            - type: 'null'
          title: Speed
        sms_status:
          anyOf:
            - type: integer
            - type: 'null'
          title: Sms Status
        data_type:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Type
        unused_valid_time:
          anyOf:
            - type: integer
            - type: 'null'
          title: Unused Valid Time
        location_networks:
          items:
            $ref: '#/components/schemas/PackageLocationNetworkSchema'
          type: array
          title: Location Networks
      type: object
      required:
        - package_code
        - name
        - currency_code
        - price_units
        - price_usd
        - volume_bytes
        - duration
        - duration_unit
        - location
      title: PackageSchema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PackageLocationNetworkSchema:
      properties:
        location_name:
          type: string
          title: Location Name
        location_logo:
          anyOf:
            - type: string
            - type: 'null'
          title: Location Logo
        operators:
          items:
            $ref: '#/components/schemas/PackageNetworkOperatorSchema'
          type: array
          title: Operators
      type: object
      required:
        - location_name
      title: PackageLocationNetworkSchema
    PackageNetworkOperatorSchema:
      properties:
        operator_name:
          type: string
          title: Operator Name
        network_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Network Type
      type: object
      required:
        - operator_name
      title: PackageNetworkOperatorSchema
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: api-key
      description: Your PayVessel business API key.
    apiSecret:
      type: apiKey
      in: header
      name: api-secret
      description: Your PayVessel business API secret.

````